curl --request GET \
--url https://crypto.westminister.tech/api/v1/auth/wallets/user \
--header 'Authorization: Bearer <token>'[
{
"id": "c5b0fee8-a33e-4cc8-a937-982072e8a232",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "Ethereum Wallet",
"address": 1.1479303874223619e+48,
"wallet_type": "hot",
"network": "ethereum",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:28:31.401463Z"
},
{
"id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "TRON Wallet",
"address": "TEPwbAa9xKCki85hBUyPBSQQkTZxkQqXSt",
"wallet_type": "hot",
"network": "tron",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:27:00.179508Z"
}
]curl --request GET \
--url https://crypto.westminister.tech/api/v1/auth/wallets/user \
--header 'Authorization: Bearer <token>'[
{
"id": "c5b0fee8-a33e-4cc8-a937-982072e8a232",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "Ethereum Wallet",
"address": 1.1479303874223619e+48,
"wallet_type": "hot",
"network": "ethereum",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:28:31.401463Z"
},
{
"id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "TRON Wallet",
"address": "TEPwbAa9xKCki85hBUyPBSQQkTZxkQqXSt",
"wallet_type": "hot",
"network": "tron",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:27:00.179508Z"
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
User ID.
Wallets for user
Wallet ID.
Owner user ID.
Wallet label (e.g.
Chain address.
hot/cold/etc.
Network name (ethereum
Whether this is the default wallet for the network.
Whether wallet is active.
Wallet creation timestamp (RFC 3339).